brooklyn-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From henev...@apache.org
Subject [3/4] incubator-brooklyn git commit: This closes #424
Date Fri, 09 Jan 2015 20:43:31 GMT
This closes #424

slight tweaks because master had been reverted


Project: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/commit/706ed6ec
Tree: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/tree/706ed6ec
Diff: http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/diff/706ed6ec

Branch: refs/heads/master
Commit: 706ed6ec9093b8912b9b4c67cf7ecf431993ce73
Parents: 66f440f be59c90
Author: Alex Heneveld <alex.heneveld@cloudsoftcorp.com>
Authored: Fri Jan 9 19:04:48 2015 +0000
Committer: Alex Heneveld <alex.heneveld@cloudsoftcorp.com>
Committed: Fri Jan 9 19:04:48 2015 +0000

----------------------------------------------------------------------
 docs/_build/make-javadoc.sh | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-brooklyn/blob/706ed6ec/docs/_build/make-javadoc.sh
----------------------------------------------------------------------
diff --cc docs/_build/make-javadoc.sh
index fdf7064,4581f40..1a80efd
--- a/docs/_build/make-javadoc.sh
+++ b/docs/_build/make-javadoc.sh
@@@ -19,6 -20,15 +20,16 @@@ mkdir -p targe
  rm -rf target/$JAVADOC_TARGET1_SUBPATH/
  
  export DATESTAMP=`date "+%Y-%m-%d"`
++
+ # BROOKLYN_VERSION_BELOW
+ export BROOKLYN_JAVADOC_CLASSPATH=../../usage/all/target/brooklyn-all-0.7.0-SNAPSHOT-with-dependencies.jar
+ 
+ if [ \! -f ${BROOKLYN_JAVADOC_CLASSPATH} ]; then
+   echo "Expected to find ${BROOKLYN_JAVADOC_CLASSPATH}"
+   echo "Please run a full Maven build in the project root"
+   exit 1
+ fi
+ 
  echo "building javadoc at $DATESTAMP from:
  $SOURCE_PATHS"
  
@@@ -26,7 -36,7 +37,7 @@@ javadoc -sourcepath $SOURCE_PATHS 
    -public \
    -d target/$JAVADOC_TARGET1_SUBPATH/ \
    -subpackages "org.apache.brooklyn:io.brooklyn:brooklyn" \
-   -classpath ../../usage/all/target/brooklyn-all-0.7.0-SNAPSHOT-with-dependencies.jar \
 -  -classpath "$BROOKLYN_JAVADOC_CLASSPATH" \
++  -classpath "${BROOKLYN_JAVADOC_CLASSPATH}" \
    -doctitle "Apache Brooklyn" \
    -windowtitle "Apache Brooklyn" \
    -header "Apache Brooklyn" \


Mime
View raw message